<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:40:59 CEST 2010 -->
<TITLE>
Serialized Form
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Serialized Form";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H1>
Serialized Form</H1>
</CENTER>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.bitfountain.gui.client</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.bitfountain.gui.client.MainWindow"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client">org.bitfountain.gui.client.MainWindow</A> extends javax.swing.JFrame implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-1727961789011262157L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
clientApp</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client">ClientApp</A> <B>clientApp</B></PRE>
<DL>
<DD>Reference to the ClientApp using this MainWindow.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
eventHandler</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/EventHandler.html" title="class in org.bitfountain.gui.client">EventHandler</A> <B>eventHandler</B></PRE>
<DL>
<DD>Main event handler.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
menuBar</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/MenuBar.html" title="class in org.bitfountain.gui.client">MenuBar</A> <B>menuBar</B></PRE>
<DL>
<DD>Menu bar with 'Open File' items, etc.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
tabbedPane</H3>
<PRE>
javax.swing.JTabbedPane <B>tabbedPane</B></PRE>
<DL>
<DD>The panel for tabs.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
downloadingFiles</H3>
<PRE>
javax.swing.JPanel <B>downloadingFiles</B></PRE>
<DL>
<DD>The transferring files tab.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
downloadList</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/download/DownloadList.html" title="class in org.bitfountain.gui.client.download">DownloadList</A> <B>downloadList</B></PRE>
<DL>
<DD>List of files that are being downloaded.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
availableFiles</H3>
<PRE>
javax.swing.JPanel <B>availableFiles</B></PRE>
<DL>
<DD>The available files tab.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
catalogList</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/catalog/CatalogList.html" title="class in org.bitfountain.gui.client.catalog">CatalogList</A> <B>catalogList</B></PRE>
<DL>
<DD>List of files that are available.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
uploadingFiles</H3>
<PRE>
javax.swing.JPanel <B>uploadingFiles</B></PRE>
<DL>
<DD>The uploading files tab.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
uploadButtons</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/upload/UploadButtons.html" title="class in org.bitfountain.gui.client.upload">UploadButtons</A> <B>uploadButtons</B></PRE>
<DL>
<DD>"Uploading files" buttons.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
uploadList</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/upload/UploadList.html" title="class in org.bitfountain.gui.client.upload">UploadList</A> <B>uploadList</B></PRE>
<DL>
<DD>List of files that are being uploaded.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="org.bitfountain.gui.client.MenuBar"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/MenuBar.html" title="class in org.bitfountain.gui.client">org.bitfountain.gui.client.MenuBar</A> extends javax.swing.JMenuBar implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-5009776529804800607L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
eventHandler</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/EventHandler.html" title="class in org.bitfountain.gui.client">EventHandler</A> <B>eventHandler</B></PRE>
<DL>
<DD>To handle events.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileMenu</H3>
<PRE>
javax.swing.JMenu <B>fileMenu</B></PRE>
<DL>
<DD>The file menu.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
helpMenu</H3>
<PRE>
javax.swing.JMenu <B>helpMenu</B></PRE>
<DL>
<DD>The help menu.
<P>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.bitfountain.gui.client.catalog</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.bitfountain.gui.client.catalog.CatalogItem"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/catalog/CatalogItem.html" title="class in org.bitfountain.gui.client.catalog">org.bitfountain.gui.client.catalog.CatalogItem</A> extends <A HREF="org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">Item</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-3961025335072001514L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
catalogList</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/catalog/CatalogList.html" title="class in org.bitfountain.gui.client.catalog">CatalogList</A> <B>catalogList</B></PRE>
<DL>
<DD>Actual list of items we can download.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileHeader</H3>
<PRE>
<A HREF="org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A> <B>fileHeader</B></PRE>
<DL>
<DD>A FileHeader containing some very useful informations about
 the file of this CatalogItem.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
downloadButton</H3>
<PRE>
javax.swing.JButton <B>downloadButton</B></PRE>
<DL>
<DD>Button that triggers the download.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="org.bitfountain.gui.client.catalog.CatalogList"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/catalog/CatalogList.html" title="class in org.bitfountain.gui.client.catalog">org.bitfountain.gui.client.catalog.CatalogList</A> extends <A HREF="org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items">ItemList</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-6198834337476571808L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.bitfountain.gui.client.download</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.bitfountain.gui.client.download.DownloadItem"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/download/DownloadItem.html" title="class in org.bitfountain.gui.client.download">org.bitfountain.gui.client.download.DownloadItem</A> extends <A HREF="org/bitfountain/gui/client/transfer/TransferItem.html" title="class in org.bitfountain.gui.client.transfer">TransferItem</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>5399084414208602582L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
decoder</H3>
<PRE>
<A HREF="org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSNetDecoder</A> <B>decoder</B></PRE>
<DL>
<DD>The decoder used to decode the file when it is completely downloaded.
 Used to update the progressbar.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
cancelButton</H3>
<PRE>
javax.swing.JButton <B>cancelButton</B></PRE>
<DL>
<DD>Button that asks for a refresh of the available files list.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
openButton</H3>
<PRE>
javax.swing.JButton <B>openButton</B></PRE>
<DL>
<DD>Button that triggers decoding of a file.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
deleteButton</H3>
<PRE>
javax.swing.JButton <B>deleteButton</B></PRE>
<DL>
<DD>Button to delete a file of the filezone when undesired anymore.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="org.bitfountain.gui.client.download.DownloadList"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/download/DownloadList.html" title="class in org.bitfountain.gui.client.download">org.bitfountain.gui.client.download.DownloadList</A> extends <A HREF="org/bitfountain/gui/client/transfer/TransferList.html" title="class in org.bitfountain.gui.client.transfer">TransferList</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>4363112161933445903L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.bitfountain.gui.client.items</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.bitfountain.gui.client.items.Item"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">org.bitfountain.gui.client.items.Item</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-1069391155160879557L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
file</H3>
<PRE>
java.io.File <B>file</B></PRE>
<DL>
<DD>The file concerned by this filezone element.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
panel</H3>
<PRE>
javax.swing.JPanel <B>panel</B></PRE>
<DL>
<DD>Main panel, contains file infos, buttons and progress bar.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileInfosAndButtons</H3>
<PRE>
javax.swing.JPanel <B>fileInfosAndButtons</B></PRE>
<DL>
<DD>Secondary panel, contains files infos and buttons.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
buttons</H3>
<PRE>
javax.swing.JPanel <B>buttons</B></PRE>
<DL>
<DD>Little panel for the buttons.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileInfos</H3>
<PRE>
javax.swing.JPanel <B>fileInfos</B></PRE>
<DL>
<DD>Little panel for file name + file size.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileNameLabel</H3>
<PRE>
javax.swing.JLabel <B>fileNameLabel</B></PRE>
<DL>
<DD>File name for the JLabel.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileName</H3>
<PRE>
java.lang.String <B>fileName</B></PRE>
<DL>
<DD>File name.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileSizeLabel</H3>
<PRE>
javax.swing.JLabel <B>fileSizeLabel</B></PRE>
<DL>
<DD>File size for the JLabel.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileSize</H3>
<PRE>
long <B>fileSize</B></PRE>
<DL>
<DD>File size.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="org.bitfountain.gui.client.items.ItemList"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items">org.bitfountain.gui.client.items.ItemList</A> extends javax.swing.JScrollPane implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-482483712627064117L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mainWindow</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client">MainWindow</A> <B>mainWindow</B></PRE>
<DL>
<DD>The main window.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileList</H3>
<PRE>
javax.swing.JList <B>fileList</B></PRE>
<DL>
<DD>Files being transferred.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
model</H3>
<PRE>
javax.swing.DefaultListModel <B>model</B></PRE>
<DL>
<DD>Underlying model to store file list.
<P>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.bitfountain.gui.client.transfer</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.bitfountain.gui.client.transfer.TransferItem"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/transfer/TransferItem.html" title="class in org.bitfountain.gui.client.transfer">org.bitfountain.gui.client.transfer.TransferItem</A> extends <A HREF="org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">Item</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-3961025335072001514L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
progressBar</H3>
<PRE>
javax.swing.JProgressBar <B>progressBar</B></PRE>
<DL>
<DD>Progress bar.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
speed</H3>
<PRE>
javax.swing.JLabel <B>speed</B></PRE>
<DL>
<DD>Show the speed of the current operation.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="org.bitfountain.gui.client.transfer.TransferList"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/transfer/TransferList.html" title="class in org.bitfountain.gui.client.transfer">org.bitfountain.gui.client.transfer.TransferList</A> extends <A HREF="org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items">ItemList</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>5201571477533493335L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.bitfountain.gui.client.upload</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.bitfountain.gui.client.upload.UploadButtons"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/upload/UploadButtons.html" title="class in org.bitfountain.gui.client.upload">org.bitfountain.gui.client.upload.UploadButtons</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-5005248421883648901L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
uploadButton</H3>
<PRE>
javax.swing.JButton <B>uploadButton</B></PRE>
<DL>
<DD>Button that asks the user which files he wants to upload.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
clearButton</H3>
<PRE>
javax.swing.JButton <B>clearButton</B></PRE>
<DL>
<DD>Button that cleans finished uploads.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
mainWindow</H3>
<PRE>
<A HREF="org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client">MainWindow</A> <B>mainWindow</B></PRE>
<DL>
<DD>Reference to the main window, to pass back events.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="org.bitfountain.gui.client.upload.UploadItem"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/upload/UploadItem.html" title="class in org.bitfountain.gui.client.upload">org.bitfountain.gui.client.upload.UploadItem</A> extends <A HREF="org/bitfountain/gui/client/transfer/TransferItem.html" title="class in org.bitfountain.gui.client.transfer">TransferItem</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>5399084414208602582L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
encoder</H3>
<PRE>
<A HREF="org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding">RSNetEncoder</A> <B>encoder</B></PRE>
<DL>
<DD>The encoder used to encode the file before sending it to the server.
 Used to update the progressbar.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
cancelButton</H3>
<PRE>
javax.swing.JButton <B>cancelButton</B></PRE>
<DL>
<DD>Button that asks for a refresh of the available files list.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="org.bitfountain.gui.client.upload.UploadList"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/client/upload/UploadList.html" title="class in org.bitfountain.gui.client.upload">org.bitfountain.gui.client.upload.UploadList</A> extends <A HREF="org/bitfountain/gui/client/transfer/TransferList.html" title="class in org.bitfountain.gui.client.transfer">TransferList</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>4363112161933445903L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.bitfountain.gui.server</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.bitfountain.gui.server.ConfigPane"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/gui/server/ConfigPane.html" title="class in org.bitfountain.gui.server">org.bitfountain.gui.server.ConfigPane</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>5755371679974984038L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
serverApp</H3>
<PRE>
<A HREF="org/bitfountain/gui/server/ServerApp.html" title="class in org.bitfountain.gui.server">ServerApp</A> <B>serverApp</B></PRE>
<DL>
<DD>The server application we're configuring.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
lossSlider</H3>
<PRE>
javax.swing.JSlider <B>lossSlider</B></PRE>
<DL>
<DD>Slider to adjust loss percentage.
<P>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.bitfountain.math</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.bitfountain.math.SingularMatrixException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/bitfountain/math/SingularMatrixException.html" title="class in org.bitfountain.math">org.bitfountain.math.SingularMatrixException</A> extends java.lang.Exception implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-4520960508443397993L

<P>

<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
